import {post, uploadFilePromise} from "@/util/request";
import {Page} from "@/common/consts/CommonConst";

export const uploadOrderFile = async (file) => {
    return await uploadFilePromise("/file/cloud/upload", file, {
        path: "aiot",
        fileType: "工单"
    })
}


export const getMyOrderWork = async ({page = Page.page, size = Page.size, ...params}) => {
    return await post('/orderWork/myPage', {
        page,
        size,
        ...params
    });
}
