export const WorkOrderStat = {
  ALL: {
    label: '全部',
    code: "all",
    value: null,
    color: 'primary'
  },
  END: {
    label: '已完成',
    code: "end",
    value: 3,
    color: 'success'
  },
  SCRAP: {
    label: '已废弃',
    code: "scrap",
    value: 4,
    color: 'danger'
  },
  IN_HANDLE: {
    label: '处理中',
    code: "inhandle",
    value: 2,
    color: 'info'
  },
  UN_HANDLE: {
    label: '未处理',
    code: "unhandle",
    value: 1,
    color: 'warning'
  },
  UN_CONFIRMED: {
    label: '未确认',
    code: "unconfirmed",
    value: 0,
    color: 'default'
  }
}
export const WorkOrderLevel = {
  NORMAL: {
    label: '一般',
    code: "normal",
    value: 3,
  },
  IMPORTANT: {
    label: '重要',
    code: "important",
    value: 2,
  },
  URGENT: {
    label: '紧急',
    code: "urgent",
    value: 1,
  }
}